## Name

mvall — Changes the name of old_name to new_name wherever it occurs in the database.

## Synopsis

`mvall` [`-n`] [`(-f mapping_file) | (old_name new_name)`]

## DESCRIPTION

Changes the name of old_name to new_name. This will also change any references to old_name that may occur in other combinations in the database. If the -f variation of the command is used, all old_name new_name pairings are read from the mapping_file and processed as previously stated.

## EXAMPLES

Example 1. Change the name of an object everywhere it occurs in the database.

`mged>``mvall shapea shapeb`

Changes the name of shapea to shapeb everywhere it occurs in the database.

Example 2. This example shows a simple mapping file.

# this line is a comment
old_name new_name
foo bar # another comment, replacing foo with bar
bad_name good_name

## SEE ALSO

mv prefix

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.